
;;this file contains the function make-xakcl which makes xakcl
;;the files that are needed are Xlib.o, Xutil.o Xutil-2.o ...


;;this function links the Xakcl library to akcl
;;use this to create Xakcl.  save the lisp 
;;image with (save "Xakcl")
(defun make-xakcl()
  (si::faslink "Xlib.o"  "-L /lusr/lib/X11 -L /lusr/lib -L /usr/lib -L /usr/lib/X11 -lX11 -lc")
  (si::faslink "Xutil.o"   "Xutil-2.o  -L /lusr/lib/X11 -L /lusr/lib -L /usr/lib -L /usr/lib/X11 -lX11 -lc")

  ;;can be combined into one file
  (si::faslink "defentry-events.o" "Events.o -L /lusr/lib/X11 -L /lusr/lib -L /usr/lib -L /usr/lib/X11 -lX11 -lc")
  (si::faslink "Xstruct.o" "XStruct-2.o -L /lusr/lib/X11 -L /lusr/lib -L /usr/lib -L /usr/lib/X11 -lX11 -lc")
  (si::faslink "XStruct-l-3.o" "XStruct-4.o  -L /lusr/lib/X11 -L /lusr/lib -L /usr/lib -L /usr/lib/X11 -lX11 -lc")

  (si::faslink "general.o" "general-c.o -L /lusr/lib/X11 -L /lusr/lib /u/hhnguyen/pub/Xakcl/Xold/liboldX.a -lX11 -lc")  
  ;;this can be made into a loadable file

  (load "X.o")
  (load "XAtom.o") 
  (load "keysymdef.o") 
  (load "X10.o")
  (save "Xakcl"))


(defun compile-xakcl ()
  (compile-file "Xlib.lsp")
  (compile-file "Xutil.lsp")
  (compile-file "X.lsp")
  (compile-file "XAtom.lsp")
  (compile-file "defentry-events.lsp")
  (compile-file  "Xstruct.lsp")
  (compile-file "XStruct-l-3.lsp") 
  (compile-file "general.lsp")
  (compile-file "keysymdef.lsp")
  (compile-file "X10.lsp")  
  (system "make")
  )
